#!/usr/bin.env groovy

pipeline {
    agent any
    stages {
        stage("test") {
            steps {
                script {
                    echo "Testing the application..."

                }
            }
        }
        stage("build") {
            steps {
                script {
                    echo "Building the application..."
                }
            }
        }

        stage("deploy") {
            steps {
                script {
                    def dockerCmd = 'docker run -p 3080:3080 -d petratos88/react-nodejs-example:1.0'
                    sshagent(['ec2-sever-key']) {
                        sh "ssh -o StrictHostKeyChecking=no ec2-user@3.71.188.239 ${dockerCmd}"
                    }
                }
            }
        }
    }
}
